KJS::ContextImp Class Reference

`#include <context.h>`

## Public Member Functions

| ContextImp (Object &glob, InterpreterImp *interpreter, Object &thisV, int _sourceId, CodeType type=GlobalCode, ContextImp *callingContext=0L, FunctionImp *func=0L, const List *args=0)
const ScopeChain & | scopeChain () const
CodeType | codeType () const
Object | variableObject () const
void | setVariableObject (const Object &v)
Object | thisValue () const
ContextImp * | callingContext ()
ObjectImp * | activationObject ()
FunctionImp * | function () const
const List * | arguments () const
void | pushScope (const Object &s)
void | popScope ()
LabelStack * | seenLabels ()
void | mark ()
void | pushTryCatch ()
void | popTryCatch ()
bool | inTryCatch () const
void | setLines (int l0, int l1)

## Friends

class | Context
class | StatementNode

## Detailed Description

Execution context.

Definition at line 35 of file context.h.

The documentation for this class was generated from the following files:

- context.h
- internal.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys